Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.cmbrowser.controls
Class CmBrowserFoldersControlImpl.CmBrowserObjectFilter

    java.lang.Object
      com.bea.apps.groupspace.cmbrowser.controls.CmBrowserFoldersControlImpl.CmBrowserObjectFilter

All Implemented Interfaces
  com.bea.content.paging.internal.IFilter, com.bea.content.paging.internal.ITypeSupport, IObjectFilter

Enclosing class:
  CmBrowserFoldersControlImpl

    public final class CmBrowserFoldersControlImpl.CmBrowserObjectFilter

extends Object
implements IObjectFilter

supports filtering Node objects by checking if they have an ObjectClass and children.

if Node has either children or an ObjectClass, it's accepted.
(if it has neither (or null), we assume it's a place holder for a node in the virtual repository.)

Field Summary

Fields inherited from interface com.bea.content.paging.IObjectFilter
`OBJECT_FILTER_KEY`

Constructor Summary
`CmBrowserFoldersControlImpl.CmBrowserObjectFilter()`

Method Summary
`boolean` | `accept(ContentContext context, Object o)`
`Set<Class>` | `getSupportedTypes(ContentContext context)`
`void` | `setState(ContentContext context, String filterString, Locale filterLocale)` called BEFORE the filter.accept() method is invoked, to configure the filter state

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CmBrowserFoldersControlImpl.CmBrowserObjectFilter

    public CmBrowserFoldersControlImpl.CmBrowserObjectFilter()

Method Detail

### getSupportedTypes

    public Set<Class> getSupportedTypes(ContentContext context)

  Specified by:
    `getSupportedTypes` in interface `com.bea.content.paging.internal.ITypeSupport`

### setState

    public void setState(ContentContext context,
                         String filterString,
                         Locale filterLocale)

  Description copied from interface: `IObjectFilter`
  called BEFORE the filter.accept() method is invoked, to configure the filter state

  Specified by:
    `setState` in interface `IObjectFilter`

### accept

    public boolean accept(ContentContext context,
                          Object o)

  Specified by:
    `accept` in interface `com.bea.content.paging.internal.IFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved